Skip to content

upsertReportView

WRITE

Upsert report view.

POST /api/v1/accounting/upsertReportView
curl -X POST '<your-host>/api/v1/accounting/upsertReportView' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "view": "string"
  }'
Response
{
  "companyId": "string",
  "config": "…",
  "createdAt": "string",
  "createdBy": "string",
  "id": "string",
  "name": "string",
  "reportKey": "string",
  "updatedAt": "string",
  "updatedBy": "string",
  "visibility": "Private"
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "view": {
      "anyOf": [
        {
          "type": "object",
          "properties": {
            "reportKey": {
              "type": "string"
            },
            "name": {
              "type": "string"
            },
            "visibility": {
              "type": "string",
              "enum": [
                "Private",
                "Company"
              ]
            },
            "config": {}
          },
          "required": [
            "reportKey",
            "name",
            "visibility",
            "config"
          ]
        },
        {
          "type": "object",
          "properties": {
            "id": {
              "type": "string"
            },
            "reportKey": {
              "type": "string"
            },
            "name": {
              "type": "string"
            },
            "visibility": {
              "type": "string",
              "enum": [
                "Private",
                "Company"
              ]
            },
            "config": {}
          },
          "required": [
            "id",
            "reportKey",
            "name",
            "visibility",
            "config"
          ]
        }
      ]
    }
  },
  "required": [
    "view"
  ]
}